Get a snapshot
GET
https://api.vercel.com/v2/sandboxes/snapshots/{snapshotId}Retrieves detailed information about a specific snapshot, including its creation time, size, expiration date, and the source session it was created from.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.sandboxes.getSessionSnapshot({ snapshotId: "snap_abc123", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "snapshot": { "id": "snap_123a6c5209bc3778245d011443644c8d27dc2c50", "sourceSessionId": "sbx_123a6c5209bc3778245d011443644c8d27dc2c50", "region": "iad1", "regions": [], "status": "created", "sizeBytes": "104857600", "expiresAt": "1750344501629", "createdAt": "1750344501629", "updatedAt": "1750344501629", "lastUsedAt": "1750344501629", "creationMethod": "manual", "parentId": "snap_parent123" }}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
429Error